{
    "name": "frog",
    "displayName": "Frog",
    "description": "The Oracle SQL workbench for VSCode",
    "version": "0.0.21",
    "publisher": "tmuerell",
    "engines": {
        "vscode": "^1.17.0"
    },
    "categories": [
        "Other"
    ],
    "activationEvents": [
        "onCommand:frog.executeSnippet",
        "onLanguage:plsql",
        "onView:connections"
    ],
    "icon": "images/database.png",
    "main": "./out/extension",
    "contributes": {
        "commands": [
            {
                "command": "frog.executeSnippet",
                "title": "Frog: Execute SQL Snippet"
            },
            {
                "command": "frog.compileFile",
                "title": "Frog: Compiles the current file"
            },
            {
                "command": "frog.selectConnection",
                "title": "Frog: Selects the connection to use"
            },
            {
                "command": "frog.setRowLimit",
                "title": "Frog: Sets the row limit"
            }
        ],
        "keybindings": [
            {
                "command": "frog.executeSnippet",
                "key": "ctrl+enter",
                "mac": "ctrl+enter"
            },
            {
                "command": "frog.compileFile",
                "key": "ctrl+alt+c",
                "mac": "ctrl+alt+c"
            }

        ],
        "views": {
            "explorer": [
                {
                    "id": "connections",
                    "name": "Connections"
                }
            ]
        },
        "languages": [
            {
                "id": "frog-runner",
                "aliases": [],
                "extensions": [],
                "mimetypes": [
                    "text/x-code-output",
                    "x-code-output"
                ]
            }
        ],
        "grammars": [
            {
                "language": "frog-runner",
                "scopeName": "code.log",
                "path": "./syntaxes/frog-runner.tmLanguage"
            }
        ],
        "configuration": {
            "type": "object",
            "title": "Frog configuration",
            "properties": {
                "frog.javaHome": {
                    "type": "string",
                    "default": "",
                    "description": "Set the java home to use for the runner."
                }
            }
        }
    },
    "scripts": {
        "vscode:prepublish": "npm run compile",
        "compile": "tsc -p ./",
        "watch": "tsc -watch -p ./",
        "postinstall": "node ./node_modules/vscode/bin/install",
        "test": "npm run compile && node ./node_modules/vscode/bin/test"
    },
    "devDependencies": {
        "typescript": "^2.5.3",
        "vscode": "^1.1.5",
        "@types/node": "^7.0.43",
        "@types/mocha": "^2.2.42"
    }
}